cancel
Showing results for 
Search instead for 
Did you mean: 

Paxata REST API timeout error

dainlinda
Blue LED

Paxata REST API timeout error

We are suffering from timeout error when we send POST requests for Paxata to get data from it.

It shows timeout error on and off(There's no pattern when it works and when it doesn't), and cannot figure the reason out.

We are sending POST requests in the AWS Glue, and are using python requests library to do that. (Python 3)

 

This is error logs that we get:

 

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/urllib3/connection.py", line 160, in _new_conn
    (self._dns_host, self.port), self.timeout, **extra_kw
  File "/usr/local/lib/python3.6/site-packages/urllib3/util/connection.py", line 84, in create_connection
    raise err
  File "/usr/local/lib/python3.6/site-packages/urllib3/util/connection.py", line 74, in create_connection
    sock.connect(sa)
TimeoutError: [Errno 110] Connection timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 677, in urlopen
    chunked=chunked,
  File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 381, in _make_request
    self._validate_conn(conn)
  File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 978, in _validate_conn
    conn.connect()
  File "/usr/local/lib/python3.6/site-packages/urllib3/connection.py", line 309, in connect
    conn = self._new_conn()
  File "/usr/local/lib/python3.6/site-packages/urllib3/connection.py", line 172, in _new_conn
    self, "Failed to establish a new connection: %s" % e
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x7fa35992bdd8>: Failed to establish a new connection: [Errno 110] Connection timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 727, in urlopen
    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  File "/usr/local/lib/python3.6/site-packages/urllib3/util/retry.py", line 446, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='dprep.skchemicals.com', port=443): Max retries exceeded with url: /rest/datasource/exports/local?pretty=true (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7fa35992bdd8>: Failed to establish a new connection: [Errno 110] Connection timed out',))

 

 

Can anybody help with this? Any kind of help or advice will be appreciated.

Thank you

Labels (1)
3 Replies
IraWatt
Laser

Hey @dainlinda,

Any luck sorting this out? I believe DR has a service health dashboard which monitors if Paxata or any of the other cloud services goes down. I'll link if I can find it, could be useful in finding any correlation.
On the python front the library you mentioned has a few timeout features you could use. For instance, you can turn off timeout limit:

r = requests.get('https://github.com', timeout=None)

Or you could add some code to resend the request if it errors.

a_shoop
DataRobot Employee
DataRobot Employee

Hi @dainlinda ,

 

We apologize for the delay in getting back to you.

 

It sounds like it would be best to troubleshoot the issue by contacting DataRobot Support with as much information as possible on the Data Prep REST API timeout issue.

 

You can contact DR Support by emailing support@datarobot.com describing your issue and one of the Support agents will follow up in a timely manner.

 

Thanks.

 

Sincerely,

Alex Shoop

 

0 Kudos
Linda
DataRobot Alumni

Thank you for helping out, @IraWatt ! The DataRobot Support dashboard is https://status.datarobot.com/.  I'll be watching for more updates on this thread and the issue encountered. @dainlinda, please subscribe to the support dashboard for notiifcations when you get a chance, so you always have the latest & greatest info.